## IdeCompletionResults IdeCompletionResults |

## Functions

IdeCompletionResults * | ide_completion_results_new ()
const gchar * | ide_completion_results_get_query ()
void | ide_completion_results_invalidate_sort ()
void | ide_completion_results_take_proposal ()
void | ide_completion_results_present ()
gboolean | ide_completion_results_replay ()
guint | ide_completion_results_get_size ()
gint | ide_completion_results_get_insert_offset ()
gint | ide_completion_results_get_end_offset ()

## Properties

gchar * | query | Read / Write / Construct Only

## Types and Values

#define | IDE_TYPE_COMPLETION_RESULTS
struct | IdeCompletionResultsClass
| IdeCompletionResults

## Object Hierarchy

        GObject
        ╰── IdeCompletionResults

## Description

## Functions

### ide_completion_results_new ()

    IdeCompletionResults *
    ide_completion_results_new (const gchar *query);

### ide_completion_results_get_query ()

    const gchar *
    ide_completion_results_get_query (IdeCompletionResults *self);

### ide_completion_results_invalidate_sort ()

    void
    ide_completion_results_invalidate_sort
                                   (IdeCompletionResults *self);

### ide_completion_results_take_proposal ()

    void
    ide_completion_results_take_proposal (IdeCompletionResults *self,
                                          IdeCompletionItem *proposal);

#### Parameters

proposal | The completion item. | [transfer full]

### ide_completion_results_present ()

    void
    ide_completion_results_present (IdeCompletionResults *self,
                                    GtkSourceCompletionProvider *provider,
                                    GtkSourceCompletionContext *context);

### ide_completion_results_replay ()

    gboolean
    ide_completion_results_replay (IdeCompletionResults *self,
                                   const gchar *query);

### ide_completion_results_get_size ()

    guint
    ide_completion_results_get_size (IdeCompletionResults *self);

### ide_completion_results_get_insert_offset ()

    gint
    ide_completion_results_get_insert_offset
                                   (IdeCompletionResults *self);

### ide_completion_results_get_end_offset ()

    gint
    ide_completion_results_get_end_offset (IdeCompletionResults *self);

## Types and Values

### IDE_TYPE_COMPLETION_RESULTS

    #define IDE_TYPE_COMPLETION_RESULTS (ide_completion_results_get_type())

### struct IdeCompletionResultsClass

    struct IdeCompletionResultsClass {
      GObjectClass parent_class;

      /**
       * IdeCompletionResults::compare:
       * @self: An #IdeCompletionResults
       * @left: An #IdeCompletionItem on the left hand side.
       * @right: An #IdeCompletionItem on the right hand side.
       *
       * Compares two completion items as they should be displayed.
       * See ide_completion_results_invalidate_sort() to invalide the
       * current sort settings.
       */
      gint (*compare) (IdeCompletionResults *self,
                       IdeCompletionItem    *left,
                       IdeCompletionItem    *right);
    };

### IdeCompletionResults

    typedef struct _IdeCompletionResults IdeCompletionResults;

## Property Details

### The `“query”` property

      “query”                    gchar *

Query.

Flags: Read / Write / Construct Only

Default value: NULL